Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Interface Ticket

All Superinterfaces
  Serializable

All Known Subinterfaces:
  ExtendedTicket

Deprecated As of 10.2, replaced by `Ticket`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. Oracle does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward. The methods in this interface are replaced by `IExtensible.getAllInterfaces()` and `IExtensible.getInterface(String)`.

    @Deprecated
    public interface Ticket

extends Serializable

Ticket this is the access point for all of the service interfaces. The ticket contains the users credentials to validate permission to the service functionality. The Ticket is intended to be a light-weight object. As such, one or more may be created and possibly cached for each client accessing the repository. It is not intended to hold on to resources of any kind.

See Also
  `ExtendedTicket`

Method Summary
`NodeOps` | `getNodeOps()` Deprecated Returns a NodeOps that will service the Repository that instantiated this Ticket.
`ObjectClassOps` | `getObjectClassOps()` Deprecated Returns an ObjectClassOps that will service the Repository that instantiated this Ticket.
`SearchOps` | `getSearchOps()` Deprecated Returns a SearchOps that will service the Repository that instantiated this Ticket.

Method Detail

### getNodeOps

    NodeOps getNodeOps()

  Deprecated
  Returns a NodeOps that will service the Repository that instantiated this Ticket.

### getObjectClassOps

    ObjectClassOps getObjectClassOps()

  Deprecated
  Returns an ObjectClassOps that will service the Repository that instantiated this Ticket.

### getSearchOps

    SearchOps getSearchOps()

  Deprecated
  Returns a SearchOps that will service the Repository that instantiated this Ticket.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.